This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 242078 - add support for cryptsetup-uuids
add support for cryptsetup-uuids
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-06-01 11:40 EDT by Karsten Hopp
Modified: 2014-03-16 23:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 14:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (1.26 KB, patch)
2007-06-02 16:25 EDT, Karsten Hopp
no flags Details | Diff
enhanced patch to support /dev/disk/by-uuid/* in /etc/crypttab (1.40 KB, patch)
2007-06-20 07:28 EDT, Karsten Hopp
no flags Details | Diff

  None (edit)
Description Karsten Hopp 2007-06-01 11:40:44 EDT
Description of problem:
rc.sysinit can't handle UUIDs in /etc/crypttab
This patch converts UUIDs to real devicenames with /sbin/blkid

Other minor changes are 
- silence cryptsetup
- check permissions of key file only if it isn't one of the /dev/*random files

Version-Release number of selected component (if applicable):
initscripts-8.53-1
Comment 1 Bill Nottingham 2007-06-01 14:55:03 EDT
Patch? :)
Comment 2 Bill Nottingham 2007-06-01 14:55:52 EDT
Also, if you've got a script that converts crypttab to use UUID, this would make
a very useful addition to the release notes, as PATA->SATA upgrades break
crypttab pretty hard.
Comment 3 Karsten Hopp 2007-06-02 16:25:27 EDT
Created attachment 155994 [details]
proposed patch
Comment 4 Charles R. Anderson 2007-06-05 17:43:10 EDT
Is there a problem with using /dev/disk/by-uuid/* in /etc/crypttab instead?
Comment 5 Bill Nottingham 2007-06-05 17:51:34 EDT
Well, I suppose someone wanting to speed boot might remove all the /dev/disk
symlink stuff from the udev rules; but as long as we're shipping them, they
should work.
Comment 6 Karsten Hopp 2007-06-20 07:28:11 EDT
Created attachment 157448 [details]
enhanced patch to support /dev/disk/by-uuid/* in /etc/crypttab
Comment 7 Harald Hoyer 2007-08-14 10:02:08 EDT
checked in initscripts cvs

Note You need to log in before you can comment on or make changes to this bug.